
Name: bomi
Version:  0.9.11
Release: %mkrel 3
Summary:  Powerful and easy-to-use multimedia player
License:        GPL-2.0+
Group:          Video
Url:            https://bomi-player.github.io/
Source:         https://github.com/xylosper/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         %{name}-compilation-fix.patch
Patch1:         %{name}-fix-expected-unqualified-id-before-numeric-constant-unix.patch
Patch2:         bomi-git-ffmpeg3.patch
#-----------------------------------------------------------
BuildRequires: icu-data
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}ass-devel
BuildRequires: %{_lib}bluray-devel
BuildRequires: %{_lib}cdio-devel
BuildRequires: %{_lib}cdio-paranoia-devel
BuildRequires: %{_lib}chardet-devel
BuildRequires: %{_lib}dvdnav-devel 
BuildRequires: %{_lib}dvdread-devel 
BuildRequires: %{_lib}ffmpeg-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}jack-devel 
BuildRequires: %{_lib}pulseaudio-devel 
BuildRequires: %{_lib}qt5core-devel 
BuildRequires: %{_lib}qt5dbus-devel 
BuildRequires: %{_lib}qt5designer-devel 
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel 
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: %{_lib}qtmultimediaquick_p-devel
BuildRequires: %{_lib}qtscript-devel
BuildRequires: %{_lib}qtwebsockets5-devel
BuildRequires: %{_lib}qtxmlpatterns5-devel
BuildRequires: %{_lib}smbclient0-devel 
BuildRequires: %{_lib}va-devel 
BuildRequires: %{_lib}vdpau-devel 
BuildRequires: %{_lib}x11-devel
BuildRequires: libstdc++-devel
BuildRequires: libxcb-devel
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: qttools5
BuildRequires: zlib1-devel
#-----------------------------------------------------------
Requires: qtquickcontrols5
Requires: %{_lib}qt5core5
Requires: %{_lib}qt5dbus5
Requires: %{_lib}qt5gui5
Requires: %{_lib}qt5network5
Requires: %{_lib}qt5qml5
Requires: %{_lib}qt5quick5
Requires: %{_lib}qt5sql5
Requires: %{_lib}qt5svg5
Requires: %{_lib}qt5widgets5
Requires: %{_lib}qt5x11extras5
Requires: %{_lib}qt5xml5


%description
bomi is a themable Qt-based multimedia player based on the MPV
video backend which is aimed for easy usage but also provides
various powerful features and convenience functions.

%prep
%setup -q
%apply_patches

%build

./configure \
        --release \
        --prefix=%{_prefix} \
        --actiondir=%{_datadir}/solid/actions

%make

%install
rm -rf %buildroot
make DEST_DIR=%{buildroot} install


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man?/%{name}.*
%dir %{_datadir}/solid/
%dir %{_datadir}/solid/actions/
%{_datadir}/solid/actions/*
%{_datadir}/bash-completion/completions/%{name}

%changelog
* Mon Aug 14 2017 bb2 <bb2> - 0.9.11-3pclos2017
- rebuild against updates

* Fri Mar 10 2017 bb2 <bb2> - 0.9.11-2pclos2017
- rebuild for new ffmpeg
